%  Collection of m-files in support of
% "Lecture Notes on Elliptic Filter Design" by Sophocles J. Orfanidis
% --------------------------------------------------------------------
% available from www.ece.rutgers.edu/~orfanidi/ece521
% see also www.ece.rutgers.edu/~orfanidi/hpeq
% --------------------------------------------------------------------
% Copyright (c) by Sophocles J. Orfanidis - November 20, 2006
% Email:   orfanidi@ece.rutgers.edu
% --------------------------------------------------------------------
%   
% elliptic functions
% ------------------
% acde.m      - inverse of cd elliptic function
% asne.m      - inverse of sn elliptic function
% blt2.m      - bilinear transformation of analog second-order sections
% cde.m       - cd elliptic function with normalized complex argument
% cne.m       - cn elliptic function with normalized real argument
% dne.m       - dn elliptic function with normalized real argument
% ellipap2.m  - analog lowpass elliptic filter design
% ellipdeg.m  - solves the degree equation in analog elliptic filter design
% ellipdeg1.m - solves the degree equation in analog elliptic filter design
% ellipdeg2.m - solves the degree equation in analog elliptic filter design
% ellip.m     - complete elliptic integral of first kind
% elliprf.m   - elliptic rational function
% landen.m    - Landen transformations of an elliptic modulus
% sne.m       - sn elliptic function with normalized complex argument
% srem.m      - symmetrized rem
%
% filter design
% -------------
% lpa.m       - lowpass analog filter design
% dfdes.m     - digital filter design with the bilinear transformation
% dford.m     - digital filter order determination
%
% design examples
% ---------------
% dfex.m      - digital filter examples - generates graphs of Fig.12 of the notes
% ellex1.m    - elliptic filter design example given in Section 6 of the notes
% ellex2.m    - elliptic filter design example mentioned in Sect.7 of the notes
% ellex3.m    - elliptic filter design example given in Section 8 of the notes
%
% misc
% ----
% fresp.m     - frequency response of a cascaded IIR filter at a frequency vector w
% fresp_a.m   - frequency response of cascaded analog filter
% xtick.m     - set xtick marks
% ytick.m     - set ytick marks
% zt.m        - evaluates z-transform of a finite-duration sequence
